[meta-freescale] [Documentation][PATCH 2/3] scripts: metadata2doc.sh: properly handle abnormal metadata2doc.py exit

Mario Domenech Goulart mario at ossystems.com.br
Thu Apr 23 06:33:07 PDT 2015


Print error message and exit with bitbake-metadata2doc.py exit code in
case of errors.

Signed-off-by: Mario Domenech Goulart <mario at ossystems.com.br>
---
 scripts/bitbake-metadata2doc.sh |    5 +++++
 1 file changed, 5 insertions(+)

diff --git a/scripts/bitbake-metadata2doc.sh b/scripts/bitbake-metadata2doc.sh
index d67dd61..b93af1d 100755
--- a/scripts/bitbake-metadata2doc.sh
+++ b/scripts/bitbake-metadata2doc.sh
@@ -132,6 +132,11 @@ rm -rf $build_dir
 
 cd $anchor
 python ./bitbake-metadata2doc.py $marshalled_data_file "../release-notes/source" "$yocto_dir" "$gitdm_dir" "$start_commit" "$end_commit"
+ret=$?
+if [ $ret -ne 0 ]; then
+    echo 'Error running bitbake-metadata2doc.py.  Aborting.' >&2
+    exit $ret
+fi
 
 # Update open_bugs.inc and closed_bugs.inc:
 ./generate-bugs-table.py --open-bugs
-- 
1.7.10.4



More information about the meta-freescale mailing list